2017-06-18 09:08 AM - Klas Karlsson

Status: Feedback

Priority: Normal

Assignee:

Category: Data Provider/Delimited Text 

Affected QGIS version:master Regression?: No

Operating System: Linux Ubuntu 16.04 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 24618

Description

The new Data Source Manager resets some options when you change previous options when adding "Delimited Text".

If I first choose "No Geometry" under geometry definition, and then change "File Format", specifically when changing "Custom Delimiter",

the geometry will reset to "Point Coordinates".

If at all possible, changes in settings should not reset settings already made.

History

#1 - 2017-06-18 11:21 PM - Giovanni Manghi

- Priority changed from Normal to High

- Regression? changed from No to Yes

#2 - 2017-06-19 02:54 PM - Luigi Pirelli

- Status changed from Open to Feedback

Hi @Klas

I can't confirm on linux... can you share the build version?

tnx

#3 - 2017-06-19 03:18 PM - Luigi Pirelli

not @elpaso confirms with latest build => we have to set it as invelid or we need more info to replicate the issue

#4 - 2017-06-25 11:55 AM - Klas Karlsson

The My problem with it is in every release (after further examination).

The behavior is actually the same in the "old" dialogue when adding delimited text, just didn't notice it then.

1. Select "No Geometry" 

2. Change separator character (example: add "space")

Step 2 will reset the geometry part from no geometry to point coordinate.
Since this behavior is actually in the current release it shouldn't be a "bug", more a "feature request" to change the behavior to something more "not"

annoying.

#5 - 2017-06-25 09:27 PM - Giovanni Manghi

Klas Karlsson wrote:

The My problem with it is in every release (after further examination).

The behavior is actually the same in the "old" dialogue when adding delimited text, just didn't notice it then.

so in NOT a regression, correct?

#6 - 2017-06-26 08:37 AM - Klas Karlsson

Behavior same as before, so NO regression.

#7 - 2017-06-26 06:24 PM - Giovanni Manghi

- Status changed from Feedback to Open

- Priority changed from High to Normal

- Regression? changed from Yes to No

#8 - 2019-03-09 04:28 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please check if this issue is still valid on QGIS 3.4.5 or 3.6.
